Lunes Octubre 03 , 2022
Text Size
   

¿cómo instalar macports en Snow Leopard?

manuales - MacOs X

Manual en ingles

fuente: http://www.bsdunix.ch/serendipity/index.php?/archives/446-How-to-install-Macports-on-Snow-Leopard-10.6.html

 

Apple will release Snow Leopard retail soon. At the time I'm writing this, macports 1.7 (known as darwinports) are not working well with previous builds of Snow Leopard. I'm sure that everything will work out of the box with macports > 1.7.1 a few weeks after the retail release of OSX 10.6 in September 2009. Make sure to install Xcode from the 10.6 DVD! It will update gcc to version 4.2. My description wont work with old gcc 4.0 from 10.5.

To improve our chance for a working ports tree, we have to use the latest subversion source code (August 2009).

1. Open up the Terminal
2. svn co http://svn.macports.org/repository/macports/trunk/base/ (Wait for it to finish checking out files)
3. cd base
4. ./configure
5. make
6. sudo make install
7. sudo /opt/local/bin/port -v selfupdate


I had to add /Developer/usr/bin and /Developer/usr/sbin to my .bash_profile
export PATH=/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:$PATH

There are mailing list entries about problems with compiling python on Snow Leopard. This might change soon but be aware of such problems.

Update:Use sudo port upgrade --enforce-variants and then sudo port upgrade outdatedto update all your old installed ports after selfupdate.
If you see errors like: ld: warning: in /opt/local/lib/libz.dylib, file is not of required architecture then you've to remove zlib and libiconv as installed ports and re-install it again.

sudo port uninstall -f libiconv zlib
sudo port install libiconv zlib

This may break some old dependencies. If so then you have to rebuild all related ports as well.

Usar puntuación: / 2
MaloBueno